package com.ruoyi.yh.price.domain.dto;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.interfaces.LogBizParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 单价审核DTO
 * @author wjh
 * 2024/10/17
 */
@Data
public class PriceVerifyDTO implements LogBizParam {

    @ApiModelProperty("单价ID")
    @NotNull(message = "单价ID不允许为空")
    @Size(min = 1, message = "单价ID不允许为空")
    private List<Long> priceIds;

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不允许为空")
    private Boolean pass;

    @ApiModelProperty("审核人")
    private SysUser verifyUser;

    /**
     * 获取日志业务ID
     */
    @Override
    public Object logBizId() {
        return this.getPriceIds();
    }
}
